<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:46 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>io.mosip.registration.dao.impl (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="io.mosip.registration.dao.impl (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/dao/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../io/mosip/registration/device/face/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/dao/impl/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;io.mosip.registration.dao.impl</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dao/impl/AppAuthenticationDAOImpl.html" title="class in io.mosip.registration.dao.impl">AppAuthenticationDAOImpl</a></td>
<td class="colLast">
<div class="block">The implementation class of <a href="../../../../../io/mosip/registration/dao/AppAuthenticationDAO.html" title="interface in io.mosip.registration.dao"><code>AppAuthenticationDAO</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dao/impl/AuditDAOImpl.html" title="class in io.mosip.registration.dao.impl">AuditDAOImpl</a></td>
<td class="colLast">
<div class="block">The implementation class of <a href="../../../../../io/mosip/registration/dao/AuditDAO.html" title="interface in io.mosip.registration.dao"><code>AuditDAO</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dao/impl/AuditLogControlDAOImpl.html" title="class in io.mosip.registration.dao.impl">AuditLogControlDAOImpl</a></td>
<td class="colLast">
<div class="block">DAO class for the <a href="../../../../../io/mosip/registration/entity/AuditLogControl.html" title="class in io.mosip.registration.entity"><code>AuditLogControl</code></a> entity</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dao/impl/DocumentCategoryDAOImpl.html" title="class in io.mosip.registration.dao.impl">DocumentCategoryDAOImpl</a></td>
<td class="colLast">
<div class="block">implementation class of RegistrationDocumentCategoryDAOImpl</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dao/impl/DocumentTypeDAOImpl.html" title="class in io.mosip.registration.dao.impl">DocumentTypeDAOImpl</a></td>
<td class="colLast">
<div class="block">implementation class of <a href="../../../../../io/mosip/registration/dao/DocumentTypeDAO.html" title="interface in io.mosip.registration.dao"><code>DocumentTypeDAO</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dao/impl/GenderDAOImpl.html" title="class in io.mosip.registration.dao.impl">GenderDAOImpl</a></td>
<td class="colLast">
<div class="block">implementation class of <a href="../../../../../io/mosip/registration/dao/GenderDAO.html" title="interface in io.mosip.registration.dao"><code>GenderDAO</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dao/impl/GlobalParamDAOImpl.html" title="class in io.mosip.registration.dao.impl">GlobalParamDAOImpl</a></td>
<td class="colLast">
<div class="block">The implementation class of <a href="../../../../../io/mosip/registration/dao/GlobalParamDAO.html" title="interface in io.mosip.registration.dao"><code>GlobalParamDAO</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dao/impl/LocationDAOImpl.html" title="class in io.mosip.registration.dao.impl">LocationDAOImpl</a></td>
<td class="colLast">
<div class="block">implementation class of <a href="../../../../../io/mosip/registration/dao/LocationDAO.html" title="interface in io.mosip.registration.dao"><code>LocationDAO</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dao/impl/MachineMappingDAOImpl.html" title="class in io.mosip.registration.dao.impl">MachineMappingDAOImpl</a></td>
<td class="colLast">
<div class="block">This DAO implementation of <a href="../../../../../io/mosip/registration/dao/MachineMappingDAO.html" title="interface in io.mosip.registration.dao"><code>MachineMappingDAO</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dao/impl/MasterSyncDaoImpl.html" title="class in io.mosip.registration.dao.impl">MasterSyncDaoImpl</a></td>
<td class="colLast">
<div class="block">The implementation class of <a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html" title="interface in io.mosip.registration.dao"><code>MasterSyncDao</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dao/impl/PolicySyncDAOImpl.html" title="class in io.mosip.registration.dao.impl">PolicySyncDAOImpl</a></td>
<td class="colLast">
<div class="block">The implementation class of <a href="../../../../../io/mosip/registration/dao/PolicySyncDAO.html" title="interface in io.mosip.registration.dao"><code>PolicySyncDAO</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dao/impl/PreRegistrationDataSyncDAOImpl.html" title="class in io.mosip.registration.dao.impl">PreRegistrationDataSyncDAOImpl</a></td>
<td class="colLast">
<div class="block"><a href="../../../../../io/mosip/registration/dao/PreRegistrationDataSyncDAO.html" title="interface in io.mosip.registration.dao"><code>PreRegistrationDataSyncDAO</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dao/impl/RegistrationCenterDAOImpl.html" title="class in io.mosip.registration.dao.impl">RegistrationCenterDAOImpl</a></td>
<td class="colLast">
<div class="block">The implementation class of <a href="../../../../../io/mosip/registration/dao/RegistrationCenterDAO.html" title="interface in io.mosip.registration.dao"><code>RegistrationCenterDAO</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dao/impl/RegistrationDAOImpl.html" title="class in io.mosip.registration.dao.impl">RegistrationDAOImpl</a></td>
<td class="colLast">
<div class="block">The implementation class of <a href="../../../../../io/mosip/registration/dao/RegistrationDAO.html" title="interface in io.mosip.registration.dao"><code>RegistrationDAO</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dao/impl/RegPacketStatusDAOImpl.html" title="class in io.mosip.registration.dao.impl">RegPacketStatusDAOImpl</a></td>
<td class="colLast">
<div class="block">The implementation class of <a href="../../../../../io/mosip/registration/dao/RegPacketStatusDAO.html" title="interface in io.mosip.registration.dao"><code>RegPacketStatusDAO</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dao/impl/ScreenAuthorizationDAOImpl.html" title="class in io.mosip.registration.dao.impl">ScreenAuthorizationDAOImpl</a></td>
<td class="colLast">
<div class="block">The implementation class of <a href="../../../../../io/mosip/registration/dao/ScreenAuthorizationDAO.html" title="interface in io.mosip.registration.dao"><code>ScreenAuthorizationDAO</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dao/impl/SyncJobConfigDAOImpl.html" title="class in io.mosip.registration.dao.impl">SyncJobConfigDAOImpl</a></td>
<td class="colLast">
<div class="block">implementation class of <a href="../../../../../io/mosip/registration/dao/SyncJobConfigDAO.html" title="interface in io.mosip.registration.dao"><code>SyncJobConfigDAO</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dao/impl/SyncJobControlDAOImpl.html" title="class in io.mosip.registration.dao.impl">SyncJobControlDAOImpl</a></td>
<td class="colLast">
<div class="block">The implementation class for <a href="../../../../../io/mosip/registration/dao/SyncJobControlDAO.html" title="interface in io.mosip.registration.dao"><code>SyncJobControlDAO</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dao/impl/SyncTransactionDAOImpl.html" title="class in io.mosip.registration.dao.impl">SyncTransactionDAOImpl</a></td>
<td class="colLast">
<div class="block">implementation class of <a href="../../../../../io/mosip/registration/dao/SyncTransactionDAO.html" title="interface in io.mosip.registration.dao"><code>SyncTransactionDAO</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dao/impl/TemplateDaoImpl.html" title="class in io.mosip.registration.dao.impl">TemplateDaoImpl</a></td>
<td class="colLast">
<div class="block">DaoImpl for calling the respective template repositories and getting data from database</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dao/impl/UserDetailDAOImpl.html" title="class in io.mosip.registration.dao.impl">UserDetailDAOImpl</a></td>
<td class="colLast">
<div class="block">The implementation class of <a href="../../../../../io/mosip/registration/dao/UserDetailDAO.html" title="interface in io.mosip.registration.dao"><code>UserDetailDAO</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dao/impl/UserOnboardDAOImpl.html" title="class in io.mosip.registration.dao.impl">UserOnboardDAOImpl</a></td>
<td class="colLast">
<div class="block">The implementation class of <a href="../../../../../io/mosip/registration/dao/UserOnboardDAO.html" title="interface in io.mosip.registration.dao"><code>UserOnboardDAO</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dao/impl/ValidDocumentDAOImpl.html" title="class in io.mosip.registration.dao.impl">ValidDocumentDAOImpl</a></td>
<td class="colLast">
<div class="block">implementation class of RegistrationValidDocumentDAO.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/dao/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../io/mosip/registration/device/face/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/dao/impl/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
